
/* This file removes last three digits from hex numbers
   to get page numbers.
*/

#include <stdio.h>
#include <ctype.h>
main()
{
	int c,counter;
	int linecounter;
	counter = 0;
	linecounter = 0;
	while(((c = getchar()) !=EOF) && (linecounter < 200000)){
		if (c == '\n') { 
			putchar(c); 
			counter = 0;
			linecounter++;
		} else { /* not blank*/
		    if (counter < 5) {
			putchar(c); 
			counter++;
		    } 
		}
	}
}	
